 /* div, .name-class, #id {

} */
@import url('https://fonts.googleapis.com/css2?family=Huninn&family=Kapakana:wght@300..400&display=swap');
body {
    margin: 0;
    padding: 0;
    background-color: #555;
    background-image: url(); /* !!! */
    background-size: cover;
    background-position: center;
    height: 100vh;
}
header {
    margin: 1px 20px 0 20px;
    background-color: #333;
    padding: 20px;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
}
.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 100px); 
}
nav {
    display: flex;
    justify-content: center;
    gap: 20px;
}
nav a {
    color:white;
    text-decoration: none;
    background-color: #555;
    padding: 10px 20px;
    border-radius: 20px;
    transition: all 0.4s ease;    
}
nav a:hover {
    background-color: #777;
}

nav a {
    opacity: 0;
    transform: translateY(-10px);
    animation: fadeIn 0.6s forwards;
}

/* Задержки для поочерёдного появления */
nav a:nth-child(1) { animation-delay: 0.6s; }
nav a:nth-child(2) { animation-delay: 0.2s; }
nav a:nth-child(3) { animation-delay: 0.6s; }

@keyframes fadeIn {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.card {
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(15px);
    max-width: 90vw;
    width: 600px;
    padding: 60px;
    font-size: 1.3rem;
    border-radius: 20px;
    color:white;
    text-align: center;
    margin: auto;
    position: relative;
    animation: fadeZoomIn 1.5s ease forwards;
    opacity: 0;
}
.card h2, .card p {
    text-shadow: 0 0 5px white, 0 0 10px white;
}

.avatar {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  margin-bottom: 15px;
  border: 2px solid rgba(255, 255, 255, 0.2);
}

.icons {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}

.icons img {
  width: 48px;
  height: 48px;
  transition: transform 0.3s ease;
  transform: scale(1);
  filter: drop-shadow(0 0 8px white);
  opacity: 1;
}

.icons img:hover {
  transform: scale(1.2);
}


@keyframes fadeZoomIn {
  0% {
    opacity: 0;
    transform: scale(0.85);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}